# TQextScintillaAPIs Class Reference

The TQextScintillaAPIs class represents the textual API information used in call tips and for auto-completion. More...

`#include <tqextscintillaapis.h>`

List of all members.

## Public Member Functions

- TQextScintillaAPIs ()
- ~TQextScintillaAPIs ()
- void add (const TQString &entry)
- bool load (const TQString &fname)
- void clear ()

## Detailed Description

The TQextScintillaAPIs class represents the textual API information used in call tips and for auto-completion.

API information is read from one or more files. Each API function is described by a single line of text comprising the function's name, followed by the function's optional comma separated parameters enclosed in parenthesis, and finally followed by optional explanatory text.

A function name may be followed by a `?' and a number. The number is used by auto-completion to display a registered TQPixmap with the function name.

All function names are used by auto-completion, but only those that include function parameters are used in call tips.

## Constructor & Destructor Documentation

TQextScintillaAPIs::TQextScintillaAPIs | ( |  | ) |

Constructs a TQextScintillaAPIs instance.

TQextScintillaAPIs::~TQextScintillaAPIs | ( |  | ) |

Destroys the TQextScintillaAPIs instance.

## Member Function Documentation

void TQextScintillaAPIs::add | ( | const TQString & | entry | ) |

Add the single API entry entry to the current set.

bool TQextScintillaAPIs::load | ( | const TQString & | fname | ) |

Load the API information from the file named fname, adding it to the current set. Returns TRUE if successful, otherwise FALSE.

void TQextScintillaAPIs::clear | ( |  | ) |

Deletes all API information.